import 'package:flutter/material.dart';

class RequiredFlickerTextInput extends StatelessWidget {
  RequiredFlickerTextInput({
    Key? key,
    this.initialValue,
    this.labelText,
    this.onChanged,
    this.suffix,
    this.prefix,
    this.readonly = false,
  }) : super(key: key);

  final String? initialValue;
  final String? labelText;
  final ValueChanged<String>? onChanged;
  final Widget? suffix;
  final Widget? prefix;
  final bool readonly;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      initialValue: initialValue,
      decoration: InputDecoration(
        labelText: labelText,
        hintText: labelText,
        suffix: suffix,
        prefix: prefix,
      ),
      readOnly: readonly,
      onChanged: onChanged,
      validator: (String? value) {
        if (value == null) return null;
        if (value.isEmpty) {
          return '$labelText is required';
        }
        return null;
      },
    );
  }
}
